/*
	$Id: component_style.h,v 1.10 2001/09/22 15:52:15 plasmoid Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanGUI="Framework"
//! header=gui.h

#ifndef header_component_style
#define header_component_style

class CL_Component;

//: Component Style Class
class CL_ComponentStyle
{
public:
//! Construction:
	//: Component Stype Constructor
	CL_ComponentStyle(CL_Component *component) : comp(component) { return; }

	//: Component Stype Destructor
	virtual ~CL_ComponentStyle() { return; }

//! Attributes:
	//: Get Component
	CL_Component *get_component() { return comp; }

	//: Get Component
	const CL_Component *get_component() const { return comp; }

//! Implementation:
private:
	CL_Component *comp;
};

#endif
